# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.conf import settings

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

#from jmb.slider import models
from jmb.slider.cms.models import SliderSettings


###################################
##  CMS PLUGINS                  ##
###################################

class SliderPlugin(CMSPluginBase):
    model = SliderSettings
    module = _("Slider")
    name = _("Slideshow")
    admin_preview = False

    def render(self, context, instance, placeholder):
        self.render_template = "slider/cms_plugins/empty.html"

        if not instance.status:
            return context

        self.render_template = instance.template_name
        objects = instance.slider.pictures.filter(status=1).order_by('ordering')
        context.update({
           'objects': objects,
           'instance': instance,
           'placeholder': placeholder,
        })
        return context

plugin_pool.register_plugin(SliderPlugin)