# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Picture',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(db_index=True, max_length=200, verbose_name='Name', blank=True)),
                ('text', models.TextField(verbose_name='Text', blank=True)),
                ('image', models.ImageField(help_text='Images dimensions are 1140x390 pixels', upload_to=b'slider', max_length=150, verbose_name='Image (file)')),
                ('link', models.URLField(default=None, max_length=255, verbose_name='Link Associato', blank=True)),
                ('creator', models.ForeignKey(related_name='slider_picture_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='slider_picture_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ['ordering', 'title', 'slider'],
                'verbose_name': 'Picture',
                'verbose_name_plural': 'Pictures',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Slider',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=200, verbose_name='Name', db_index=True)),
                ('slug', models.SlugField(max_length=200, verbose_name='Slug')),
                ('creator', models.ForeignKey(related_name='slider_slider_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='slider_slider_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ['ordering', 'name'],
                'verbose_name': 'Slider',
                'verbose_name_plural': 'Sliders',
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='picture',
            name='slider',
            field=models.ForeignKey(related_name='pictures', verbose_name='Slider', to='slider.Slider'),
            preserve_default=True,
        ),
    ]
